﻿<Window x:Class="TaobaoCrawlerHelper.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        Title="淘宝抓取工具" Height="350" Width="697">
    <Grid>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="150*" />
            <ColumnDefinition Width="525*" />
        </Grid.ColumnDefinitions>
        <Grid.RowDefinitions>
            <RowDefinition Height="28" />
            <RowDefinition Height="28" />
            <RowDefinition Height="28" />
            <RowDefinition Height="28" />
            <RowDefinition Height="28" />
            <RowDefinition Height="28" />
            <RowDefinition Height="28" />
            <RowDefinition Height="*" />
        </Grid.RowDefinitions>
        <Label Content="收款淘宝账户名" Height="28" HorizontalAlignment="Left" Name="label1" VerticalAlignment="Top" />
        <TextBox Grid.Column="1" Height="23" HorizontalAlignment="Left" Name="txtAccount" VerticalAlignment="Top" Width="365" />
        <Label Content="目标品类" Grid.Row="1" Height="28" HorizontalAlignment="Left" Name="label2" VerticalAlignment="Top" />
        <ComboBox Grid.Column="1" Grid.Row="1" Height="22" HorizontalAlignment="Left" Name="listCate1" VerticalAlignment="Top" Width="136" AllowDrop="True" ItemsSource="{Binding}" DisplayMemberPath="Name" SelectedValuePath="Cid" SelectionChanged="listCate1_SelectionChanged" />
        <ComboBox AllowDrop="True" Height="22" HorizontalAlignment="Left" Margin="156,0,0,0" Name="listCate2" VerticalAlignment="Top" Width="136" Grid.Column="1" Grid.Row="1" ItemsSource="{Binding}" DisplayMemberPath="Name" SelectedValuePath="Cid" SelectionChanged="listCate2_SelectionChanged" />
        <Label Content="搜索关键字" Grid.Row="2" Height="28" HorizontalAlignment="Left" Name="label3" VerticalAlignment="Top" />
        <TextBox Grid.Column="1" Grid.Row="2" Height="23" HorizontalAlignment="Left" Name="txtSearchKeywords" VerticalAlignment="Top" Width="365" />
        <Label Content="价格区间" Grid.Row="3" Height="28" HorizontalAlignment="Left" Name="label4" VerticalAlignment="Top" />
        <TextBox Grid.Column="1" Grid.Row="3" Height="23" HorizontalAlignment="Left" Name="txtLowerPrice" VerticalAlignment="Top" Width="60" />
        <Label Content="-" Grid.Column="1" Grid.Row="3" Height="28" HorizontalAlignment="Left" Margin="65,0,0,0" Name="label5" VerticalAlignment="Top" />
        <TextBox Grid.Column="1" Height="23" HorizontalAlignment="Left" Margin="86,0,0,0" Name="txtHigherPrice" VerticalAlignment="Top" Width="60" Grid.Row="3" />
        <CheckBox Content="必须高于平均评价？" Grid.Row="4" Height="16" HorizontalAlignment="Left" Name="btnStart" VerticalAlignment="Top" Margin="4,1,0,0" />
        <Button Content="开始抓取" Grid.Column="1" Grid.Row="6" Height="23" HorizontalAlignment="Left" Name="button1" VerticalAlignment="Top" Width="75" Click="btnStart_Click" />
        <TextBox Grid.Row="7" Height="115" HorizontalAlignment="Left" Name="txtLog" Text="" VerticalAlignment="Top" Grid.ColumnSpan="2" Width="675" />
        <Label Content="抓取数量" Grid.Row="5" Height="28" HorizontalAlignment="Left" Name="label6" VerticalAlignment="Top" />
        <TextBox Grid.Column="1" Text="20" Grid.Row="5" Height="23" HorizontalAlignment="Left" Name="txtCount" VerticalAlignment="Top" Width="120" />
    </Grid>
</Window>
